<aside id="left-panel" class="left-panel">
  <nav class="navbar navbar-expand-sm navbar-default">
    <div class="navbar-header">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#main-menu" aria-controls="main-menu"
        aria-expanded="false" aria-label="Toggle navigation">
        <i class="fa fa-bars"></i>
      </button>
      <h3 class="navbar-brand navbar-deployed">Inventaires</h3>
      <p class="navbar-brand hidden"></p>
    </div>

    <div id="main-menu" class="main-menu collapse navbar-collapse">
      <ul class="nav navbar-nav">
        <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
          <a *ngIf='selectedWarehouse != null; else elseBlock' routerLink="/warehouse/{{selectedWarehouse.id}}"> <i
              class="menu-icon fa fa-dashboard"></i>Accueil</a>
          <ng-template #elseBlock>
            <a routerLink="/"> <i class="menu-icon fa fa-dashboard"></i>Accueil</a>
          </ng-template>
        </li>

        <section *ngIf='!isProfile && selectedWarehouse != null'>
          <h3 class="menu-title">Inventaire</h3>
          <li routerLinkActive="active">
            <a routerLink="/warehouse/{{selectedWarehouse.id}}/my-inventories" routerLinkActive="active"><i class="menu-icon fa fa-asterisk"></i>Mes inventaires</a>
          </li>

          <div *ngIf="selectedWarehouse.admin">
            <h3 class="menu-title">Gestion</h3>
            <li routerLinkActive="active">
              <a routerLink="/warehouse/{{selectedWarehouse.id}}/products" routerLinkActive="active"> <i class="menu-icon fa fa-tags"></i>Produits</a>
            </li>
            <li routerLinkActive="active">
              <a routerLink="/warehouse/{{selectedWarehouse.id}}/inventories" routerLinkActive="active"> <i class="menu-icon fa fa-ticket"></i>Inventaires</a>
            </li>
            <li routerLinkActive="active">
              <a routerLink="/warehouse/{{selectedWarehouse.id}}/users" routerLinkActive="active"> <i class="menu-icon fa fa-users"></i>Utilisateurs</a>
            </li>
          </div>
        </section>

      </ul>
    </div>
  </nav>
</aside>

<div id="right-panel" class="right-panel">
  <header id="header" class="header">
    <div class="header-menu">
      <div class="col-sm-10">
        <a id="menuToggle" class="menutoggle pull-left"><i class="fa fa fa-tasks"></i></a>
        <div class="row">
          <button matTooltip="Créer un entrepôt" matTooltipClass="tooltip-gray" (click)="openDialog()" class="text-white example-button text-center btn-add">
            <i class="fa fa-plus-circle"></i>
          </button>

          <div *ngIf="warehouses.length > 0" class="mx-2" style="border:none;border-left:1px solid hsla(200, 10%, 50%,100);height:50px;width:1px;"></div>

          <button *ngFor="let warehouse of warehouses" matTooltip="{{warehouse.name}}" matTooltipClass="tooltip-gray"
            routerLink="/warehouse/{{warehouse.id}}" (click)="onSelect(warehouse)" routerLinkActive="active" class="text-white example-button text-center btn-add btn-wh">
            {{warehouse.getPrefix()}}
          </button>
        </div>
      </div>
      <div class="col-sm-2">
        <div class="user-area dropdown float-right">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <img class="user-avatar rounded-circle" src="assets/img/user.png" alt="User">
          </a>
          <div class="user-menu dropdown-menu">
            <a routerLink="/profile" class="nav-link"><i class="fa fa-user"></i>&nbsp;&nbsp;Profil</a>
            <a (click)="onLogout()" class="icon-click nav-link"><i class="fa fa-power-off"></i>&nbsp;&nbsp;Déconnexion</a>
          </div>
        </div>
      </div>
    </div>
  </header>


  <div *ngIf="isIndex && selectedWarehouse == null" class="content mt-3">
    <div class="row mt-3 mb-5">
      <div class="col-lg-8 offset-lg-2 text-center col-10 offset-1">
        <img class="img-warehouse" src="assets/img/warehouse.png" alt="Create Warehouse">
      </div>
    </div>
    <div class="row">
      <div class="col-md-6 offset-md-3 col-lg-4 offset-lg-4">
        <button type="button" class="btn btn-success btn-lg btn-block" (click)="openDialog()">Créer un nouveau entrepôt</button>
      </div>
    </div>
  </div>

  <router-outlet></router-outlet>

</div>
